from pydantic import BaseModel, Field

from model.wapi.cntl import APIToken


class LoginRequest(BaseModel):
    stay_logged_in: bool = Field(default=False, example=False,
                                 description='Defines if the session-token should last long')


class LoginResponse(BaseModel):
    login: str = Field()
    state: str = Field()


class LoginTokenResponse(BaseModel):
    token: APIToken = Field()
